Bug 1014428 - All editors should show title as EditorName: ResourceName and the resource file type should be removed
All editors should show title as EditorName: ResourceName and the resource fi...
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity low
: ER6
: 6.0.0
Assigned To: manstis
Tomas David
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 21:34 EDT by Catherine Robson
Modified: 2014-08-06 16:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:20:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Catherine Robson 2013-10-01 21:34:27 EDT
Description of problem:
On the editor title bars (process designer, rule editor, form builder, etc), file names with extensions are currently shown.  This is not desirable for business users as the back-end file names are not relevant to their experience with the product.  To make the product feel more seamless and less complex, all titles should be changed to EditorName: ResourceName and any file extensions should be removed.

Version-Release number of selected component (if applicable):
6.0.0.ER2
Comment 2 Mauricio Salatino 2013-10-02 04:58:12 EDT
I would suggest to have an icon for each type of resource, that will make it clear for every one to know that (Icon) + EditorName: ResourceName is from a certain type, avoiding the need of the file extension. Also it will be good to have an alias (or a friendly name for the resource) so you don't end up having in the editor the File name which is usually obfuscated
Comment 4 manstis 2013-10-04 06:35:26 EDT
We already hide the file extension (there was another BZ for this).

Jervis, I believe you have another BZ that might relate to this too.
Comment 5 manstis 2013-11-29 06:19:52 EST
I checked and we appear to be removing the file extension already. Can you please confirm and advise whether any further action is required?
Comment 6 Tomas David 2014-01-16 06:09:56 EST
Verified on BRMS 6.0.0.ER7.

Note You need to log in before you can comment on or make changes to this bug.